# Gimp.Config.deserialize_file

    @accepts(Gimp.Config, Gio.File, gpointer)
    @returns(bool)
    def deserialize_file(self, file, data):
        # Python wrapper for gimp_config_deserialize_file()

Opens the file specified by file, reads configuration data from it and configures self accordingly. Basically this function creates a properly configured [struct@GLib.Scanner] for you and calls the deserialize function of the self's [iface@ConfigInterface].

Since 2.10

self

  an object that implements the Gimp.ConfigInterface.

file

  the file to read configuration from.

data

  user data passed to the deserialize implementation.

Returns